﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RibbonTestApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ribbonTab4.IsSelected = true;
        }

        private void radButtonNew_Click(object sender, EventArgs e)
        {               
            Telerik.WinControls.UI.RadRibbonBarGroup radRibbonBarGroupNew = new Telerik.WinControls.UI.RadRibbonBarGroup();
            radRibbonBarGroupNew.Text = "New Group";
            radRibbonBarGroupNew.Items.Add(new RadButtonElement("new button " + DateTime.Now.ToString()));        //add a simple button    
            this.ribbonTab4.Items.AddRange(radRibbonBarGroupNew);
        }

        private void radButtonClose_Click(object sender, EventArgs e)
        {
            if(this.ribbonTab4.Items.Count - 1>=0)
                this.ribbonTab4.Items.RemoveAt(this.ribbonTab4.Items.Count - 1);
        }

        private void radButtonNewTab_Click(object sender, EventArgs e)
        {
            RibbonTab newTab = new RibbonTab("New tab");            

            ContextualTabGroup contextualTabGroup = new ContextualTabGroup();
            contextualTabGroup.Text = "new group";

            
            this.radRibbonBar1.CommandTabs.Add(newTab);
            
            
            contextualTabGroup.TabItems.Add(newTab);
            this.radRibbonBar1.ContextualTabGroups.Add(contextualTabGroup);

            Telerik.WinControls.UI.RadRibbonBarGroup radRibbonBarGroupNew = new Telerik.WinControls.UI.RadRibbonBarGroup();
            radRibbonBarGroupNew.Text = "New Group";
            radRibbonBarGroupNew.Items.Add(new RadButtonElement("new button " + DateTime.Now.ToString()));  
            newTab.Items.Add( radRibbonBarGroupNew);

            //this lines fix a bug with Contextual tab 
            this.ribbonTab1.IsSelected = true;
            newTab.IsSelected = true;
        }

        private void radButtonCloseTab_Click(object sender, EventArgs e)
        {
            if (this.radRibbonBar1.ContextualTabGroups.Count - 1 >= 0)
                this.radRibbonBar1.ContextualTabGroups.RemoveAt(this.radRibbonBar1.ContextualTabGroups.Count - 1);
            if (this.radRibbonBar1.CommandTabs.Count - 1 >= 0)
                this.radRibbonBar1.CommandTabs.RemoveAt(this.radRibbonBar1.CommandTabs.Count - 1);
        }
    }
}
